Bug 603956 - disconnecting from VPN fills all terminals with "waiting for tap0 to become free"
disconnecting from VPN fills all terminals with "waiting for tap0 to become f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 20:57 EDT by Colin Macdonald
Modified: 2012-08-16 13:56 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:56:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Macdonald 2010-06-14 20:57:03 EDT
Disconnecting from a VPN fills all my terminals with:

Message from syslogd@bellasoma at Jun 14 23:23:29 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

This is repeated over and over again.  I don't mind if this shows up in /var/log/messages, but its most annoying in each and every gnome-terminal window.

I use networkmanager, and this is an openvpn connection.  Not sure if it happens with any other VPNs.

This is a regression from Fedora 12: it worked fine there.


Here's a longer bit of it: seems to repeat every 10 seconds for a couple mins.

Message from syslogd@bellasoma at Jun 14 23:23:29 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:23:39 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:23:49 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:23:59 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:24:09 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:24:19 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:24:29 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:24:39 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:24:49 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:24:59 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:25:09 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:25:19 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:25:29 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3

Message from syslogd@bellasoma at Jun 14 23:25:39 ...
 kernel:unregister_netdevice: waiting for tap0 to become free. Usage count = 3
Comment 1 Jesse Keating 2010-06-14 22:55:31 EDT
What tool are you using to initiate the VPN connection?
Comment 2 Colin Macdonald 2010-06-15 04:28:54 EDT
> I use networkmanager, and this is an openvpn connection.
Comment 3 Colin Macdonald 2010-06-15 07:23:25 EDT
Tested with another vpn and it doesn't do this.  Its not an openvpn one: one that uses a .pcf file.

So perhaps its specific to openvpn vpn's?  I don't have another of of those that I can test with.
Comment 4 Dušan Hokův 2010-07-02 06:34:03 EDT
I have same problem when disconnect openvpn using NM sometimes.
Comment 5 Dušan Hokův 2010-07-02 06:35:57 EDT
Other types of vpn (vpnc, pptp) works perfectly.
Comment 6 Benjamín Valero Espinosa 2010-07-14 09:33:02 EDT
I have the same problem with OpenVPN, so perhaps it is specific.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Benjamín Valero Espinosa 2010-08-05 15:19:46 EDT
It still happens with version 0.8.1-1.fc13.i686 (updates-testing)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Dušan Hokův 2010-08-16 08:32:49 EDT
I think problem is in the status of openvpn process - this process have status D - (uninterruptible sleep) after disconnect via NM icon in upper bar.

ps output:

 8532 ?        D      0:01 /usr/sbin/openvpn --remote vpn.example.com --nobind --dev tap --proto tcp-client --port 5000 --auth-nocache --syslog nm-openvpn --script-security 2 --up /usr/libexec/nm-openvpn-service-openvpn-helper --up-restart --persist-key --persist-tun --management 127.0.0.1 1194 --management-query-passwords --route-noexec --client --ca /etc/openvpn/vpn-ca.crt --cert /etc/openvpn/client.crt --key /etc/openvpn/client.key
Comment 9 Gabriel Schulhof 2010-11-07 13:52:51 EST
This happens in Fedora 13 as well. It happens to me if I accidentally suspend my laptop while it's connected to openvpn.

kernel-PAE-2.6.34.7-61.fc13.i686
NetworkManager-openvpn-0.8.1-1.fc13.i686
Comment 10 Colin Macdonald 2010-11-07 16:17:16 EST
Still happens in F14.  Updated the bug version variable to F14.
Comment 11 Doncho N. Gunchev 2010-11-25 12:52:13 EST
Same problem here, Fedora 12, 13 and 14 (32 and 64 bit). Currently:
kernel-2.6.35.6-48.fc14.i686, NetworkManager-0.8.1-10.git20100831.fc14.i686, NetworkManager-openvpn-0.8.1-1.fc14.i686 and openvpn-2.1.1-2.fc13.i686.
Comment 12 Doncho N. Gunchev 2010-11-25 12:54:11 EST
Forgot to mention, service NetworkManager restart 'fixes it', the messages stop popping out.
Comment 13 Benjamin Bellec 2010-11-27 06:51:01 EST
Same problem (F14 x86-64).
Comment 14 William Walthall 2010-11-28 17:00:29 EST
Restarting NetworkManager does not "fix it" for me. (F14 x86_64) messages continue to broadcast. I believe this issue is with openvpn and not NetworkManager. Starting a tunnel from the terminal and closing it causes the same problem.
Comment 15 Gabriel Schulhof 2010-11-29 03:47:44 EST
I'd venture that it's a problem with the kernel module. There is probably a reference count leak in the module.

I have a tap device setup, and after I disconnect from my VPN, if I try to ifconfig tap0 down, I get that there is no such device. Nonetheless, I also get these annoying console messages. So, there are no tap devices configured, but the TUN/TAP module thinks that references to it still exist, preventing the module from possibly being removed.

Also, AFAICT the problem has become worse for me in 2.6.35.6-48.fc14.i686.PAE ... before this kernel, I'd only get the reference count problem if I suspended my laptop while it was connected to a VPN. OTOH, if I made sure I disconnected before suspending, things would work normally. With this latest kernel, the problem occurs every time I disconnect from the VPN.

The only fix for me is a reboot :(
Comment 16 Colin Macdonald 2010-11-29 08:06:11 EST
Re: comment 15:  For me its independent of suspending: any disconnect, since I first went to F13 (using whatever the stock kernel was).  At least for me, reboot is unnecessary, spam stops after 10 mins or so.
Comment 17 William Walthall 2010-12-17 20:22:11 EST
Everything seems to be working in 2.6.37-rc6. Kinda being a bad tester, I don't know it is fixed in kernel or if fedora updates have fixed it.
Comment 18 Benjamín Valero Espinosa 2011-01-12 13:26:33 EST
I haven't had this issue for weeks, so I suppose it has been fixed with the kernel updates. I am running now 2.6.35.6-45.fc14.i686.
Comment 19 Colin Macdonald 2011-01-12 18:54:17 EST
Re: comment #18: still present for me on 2.6.35.9-64.fc14.i686.PAE.
Comment 20 Greg Harvey 2011-02-25 12:44:51 EST
Problem still present for me, 2.6.35.11-83.fc14.i686.PAE. Sorry folks, it's still there.
Comment 21 Benjamín Valero Espinosa 2011-03-02 12:35:09 EST
(In reply to comment #20)
> Problem still present for me, 2.6.35.11-83.fc14.i686.PAE. Sorry folks, it's
> still there.

Ups, it seems it has come back again. I am having this issue again with this kernel too (without PAE).
Comment 22 Stijn Tintel 2011-04-13 07:02:00 EDT
I'm also experiencing the same problem, F14, kernel config-2.6.35.11-83.fc14.x86_64 and 2.6.35.12-88.fc14.x86_64.

It seems that when I choose "Disconnect VPN" in nm-applet, there still is an openvpn process running.
Comment 23 Benjamín Valero Espinosa 2011-04-27 13:00:36 EDT
It seems fixed in F15, with kernel 2.6.38.3-18.fc15.i686.
Comment 24 Dušan Hokův 2011-05-18 02:55:38 EDT
When the problem occur, "/etc/init.d/NetworkManager restart" solve the problem. Openvpn process die and no new annoing messages on terminal.
Comment 25 Vincent Tassy 2011-10-03 04:24:39 EDT
still hapening on F14 with kernel 2.6.35.14-96
Comment 26 Fedora End Of Life 2012-08-16 13:56:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.